Overview | Modules | Class Hierarchy | Classes | Members

# tlp::Plugin Class Reference

`#include <Plugin.h>`

Inherited by tlp::AlgorithmFactory, tlp::ExportModuleFactory, tlp::ImportModuleFactory, and tlp::PropertyFactory< T >.

Inheritance diagram for tlp::Plugin:

[legend]
List of all members.

## Detailed Description

Common interface for plug-ins.

## Public Member Functions

- virtual ~Plugin ()
- virtual std::string getName () const =0
- virtual std::string getGroup () const =0
- virtual std::string getAuthor () const =0
- virtual std::string getDate () const =0
- virtual std::string getInfo () const =0
- virtual std::string getRelease () const =0
- virtual std::string getMajor () const =0
- virtual std::string getMinor () const =0
- virtual std::string getTulipRelease () const =0
- virtual std::string getTulipMajor () const =0
- virtual std::string getTulipMinor () const =0

## Constructor & Destructor Documentation

virtual tlp::Plugin::~Plugin | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual std::string tlp::Plugin::getAuthor | ( |  | ) | const`[pure virtual]`

| Return the author of the plug-in

virtual std::string tlp::Plugin::getDate | ( |  | ) | const`[pure virtual]`

| Return the date of creation of the plug-in

virtual std::string tlp::Plugin::getGroup | ( |  | ) | const`[pure virtual]`

virtual std::string tlp::Plugin::getInfo | ( |  | ) | const`[pure virtual]`

| Return free information about the plug-in

virtual std::string tlp::Plugin::getMajor | ( |  | ) | const`[pure virtual]`

| Return the major release number of the plug-in Implemented in tlp::AlgorithmFactory, tlp::ExportModuleFactory, tlp::ImportModuleFactory, and tlp::PropertyFactory< T >.

virtual std::string tlp::Plugin::getMinor | ( |  | ) | const`[pure virtual]`

| Return the minor release number of the plug-in Implemented in tlp::AlgorithmFactory, tlp::ExportModuleFactory, tlp::ImportModuleFactory, and tlp::PropertyFactory< T >.

virtual std::string tlp::Plugin::getName | ( |  | ) | const`[pure virtual]`

| Return the name of the plug-in, be careful, this name must be unique, if two plug-ins have the same name only the latest loaded will be available

virtual std::string tlp::Plugin::getRelease | ( |  | ) | const`[pure virtual]`

| Return the whole release number of the plug-in

virtual std::string tlp::Plugin::getTulipMajor | ( |  | ) | const`[pure virtual]`

| Return the major Tulip release number the plug-in is build with Implemented in tlp::AlgorithmFactory, tlp::ExportModuleFactory, tlp::ImportModuleFactory, and tlp::PropertyFactory< T >.

virtual std::string tlp::Plugin::getTulipMinor | ( |  | ) | const`[pure virtual]`

| Return the major Tulip release number the plug-in is build with Implemented in tlp::AlgorithmFactory, tlp::ExportModuleFactory, tlp::ImportModuleFactory, and tlp::PropertyFactory< T >.

virtual std::string tlp::Plugin::getTulipRelease | ( |  | ) | const`[pure virtual]`

| Return the whole Tulip release number the plug-in is build with

Tulip Software by LaBRI Visualization Team 2001 - 2010